## click-package 0.1

=== debian/changelog ===
click-package (0.1) saucy; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jun 2013 14:43:21 +0100
