=== debian/control ===
Source: click-package
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~), python3 (>= 3.3), python3-all, python3-setuptools, python3-debian, pep8, pyflakes, python3-sphinx
Vcs-Bzr: http://bazaar.launchpad.net/+branch/click-package
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: click-package
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click-package (>= ${source:Version}), python3-click-package (<< ${source:Version}.1), adduser
Description: Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides common files, including the main click-package
 program.

Package: click-dev
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}, python3-click-package (= ${binary:Version})
Description: build Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 click-dev provides support for building these packages.

Package: python3-click-package
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-debian
Description: Click packages (Python 3 interface)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides Python 3 modules used by click-package, which may
 also be used directly.

Package: click-package-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Click packages (documentation)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides documentation for click-package.
