## click-package 0.1.2

=== debian/changelog ===
click-package (0.1.2) saucy; urgency=low

  * Disable dh_sphinxdoc for builds that are not building
    architecture-independent packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 18:57:47 +0100
