=== debian/rules ===
--- 
+++ 
@@ -49,3 +49,6 @@
 		$$python setup.py install --force --root=$(CURDIR)/debian/tmp \
 			--no-compile -O0 --install-layout=deb; \
 	done
+
+# Sphinx documentation is architecture-independent.
+override_dh_sphinxdoc-arch:
